# Class LoadingToken

java.lang.Object
uk.ac.starlink.topcat.LoadingToken

public class LoadingToken extends Object
Object corresponding to a table currently in the process of being loaded.

Since:
  9 April 2009
Author:
  Mark Taylor

## Constructor Summary

Constructors
Constructor
Description
`LoadingToken(String targetText)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`void`
`setProgress(String progText)`
Sets text to display which indicates progress.
`void`
`setTarget(String targetText)`
Sets the target text.
`String`
`toString()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### LoadingToken

public LoadingToken(String targetText)
Constructor.

Parameters:
  `targetText` - short description of item being loaded

## Method Details

### setTarget

public void setTarget(String targetText)
Sets the target text.

Parameters:
  `targetText` - a short description of the item being loaded.

### setProgress

public void setProgress(String progText)
Sets text to display which indicates progress.

Parameters:
  `progText` - progress text

### toString

public String toString()

Overrides:
  `toString` in class `Object`